Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.csw.capabilities
Class CSWFeature

    java.lang.Object
      org.deegree.ogcwebservices.csw.capabilities.CSWFeature

    public class CSWFeature

extends Object

The `CSWFeature` class is a simple bean holding a property map.

Version:
  $Revision:$, $Date:$
Author:
  Rutger Bezema, last edited by: $Author:$

Constructor Summary
`CSWFeature()` Initialisded with no properties.
`CSWFeature(Map<URI,List<String>> properties)` sets the features properties to the given map.

Method Summary
`void` | `addPropertie(URI propName, List<String> values)`
`Map<URI,List<String>>` | `getAllProperties()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CSWFeature

    public CSWFeature()

  Initialisded with no properties.

### CSWFeature

    public CSWFeature(Map<URI,List<String>> properties)

  sets the features properties to the given map.

  Parameters:
    `properties` - to set to.

Method Detail

### getAllProperties

    public Map<URI,List<String>> getAllProperties()

  Returns:
    the properties.

### addPropertie

    public void addPropertie(URI propName,
                             List<String> values)

  Parameters:
    `propName` - an unambiguous name for the property to insert
    `values` - of the properties
  Throws:
    `IllegalArgumentException` - if the propName is empty, unambiguous or null.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org